Subject: bug#40125: closed (Re: bug#40125: Problem with guix offload: Remote channel closed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Aug 2023 15:11:02 +0000

Your bug report

#40125: Problem with guix offload: Remote channel closed

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40125: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40125
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40125: Problem with guix offload: Remote channel closed
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Mikael Djurfeldt <[email-masked]>, [email-masked]
Date: Wed, 02 Aug 2023 11:09:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hi Mikael,
>
> Mikael Djurfeldt <[email-masked]> skribis:
>
>> On Sun, Mar 22, 2020 at 9:46 PM Ludovic Courtès <[email-masked]> wrote:
>>
>>> Mikael Djurfeldt <[email-masked]> skribis:
>>>
>>> We’re missing a tiny bit.  :-)  Could you run strace with ‘-s 3000’ or
>>> similar so that it doesn’t truncate it?
>>>
>>> (The “strange characters” are Unicode HORIZONTAL ELLIPSIS.)
>>>
>>
>> Ah... :)
>>
>> Here's a larger chunk of backtrace:
>>
>> 19530 read(20, "Backtrace:\n          13 (apply-smob/1 #<catch-closure
>> 563a9e2f92a0>)\nIn ice-9/boot-9.scm:\n    718:2 12 (call-with-prompt
>> (\"prompt\") #<procedure 563a9e3167e0 \342\200\246> \342\200\246)\nIn
>> ice-9/eval.scm:\n    619:8 11 (_ #(#(#<directory (guile-user)
>> 563a9e39a750>)))\nIn ice-9/command-line.scm:\n   181:18 10 (_ #<input:
>> string 563a9e3a8bd0>)\nIn unknown file:\n           9 (eval (begin
>> (use-modules (guix) (srfi srfi-34) # #) \342\200\246) #)\nIn
>> ice-9/eval.scm:\n   721:20  8 (primitive-eval (begin (use-modules (guix)
>> (srfi \342\200\246) \342\200\246) \342\200\246))\nIn ice-9/psyntax.scm:\n
>>  1241:36  7 (expand-top-sequence ((begin (use-modules (guix) \342\200\246)
>> \342\200\246)) \342\200\246)\n  1194:19  6 (parse _ ((\"placeholder\"
>> placeholder)) ((top) #(# # \342\200\246)) \342\200\246)\n  1233:19  5
>> (parse _ ((\"placeholder\" placeholder)) ((top) #(# # \342\200\246))
>> \342\200\246)\n   285:10  4 (parse _ ((\"placeholder\" placeholder)) (()) _
>> c&e (eval) \342\200\246)\nIn ice-9/boot-9.scm:\n  3389:20  3
>> (process-use-modules _)\n   222:17  2 (map1 (((guix)) ((srfi srfi-34))
>> ((rnrs io ports)) (#)))\n  3390:31  1 (_ ((guix)))\n   2809:6  0
>> (resolve-interface (guix) #:select _ #:hide _ #:prefix _
>> \342\200\246)\n\nice-9/boot-9.scm:2809:6: In procedure
>> resolve-interface:\nno code for module (guix)\n", 16384) = 1150
>
> Thanks!  Commit 8f53d73493a2949e2db28cd7d689a690b2d9479a improves error
> reporting in this case.
>
> This can be tested by running “guix copy --to=HOST coreutils” for a host
> where Guix modules are missing.

Great, closing!

-- 
Thanks,
Maxim

Subject: Problem with guix offload: Remote channel closed
From: Mikael Djurfeldt <[email-masked]>
To: [email-masked]
Cc: Mikael Djurfeldt <[email-masked]>
Date: Wed, 18 Mar 2020 20:58:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just installed guix on top of Debian Buster using the installation script
at guix.gnu.org. I did this on two machines, hat and wand, with the hope
that I could offload compilation to wand.

This is what I get:

root@hat:~# guix offload test
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales'
package and
defining `GUIX_LOCPATH', along these lines:

     guix package -i glibc-utf8-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

guix offload: testing 1 build machines defined in
'/etc/guix/machines.scm'...
guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
"/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
exporting path `/gnu/store/sd0wqvaffi1cbpvf0dq37mab34rmlnav-export-test'
;;; [2020/03/17 12:45:48.671038, 0] write_to_channel_port: [GSSH ERROR]
Remote channel is closed: #<input-output: channel (open) 7f2c1c9831e0>
Backtrace:
           1 (primitive-load "/root/.config/guix/current/bin/guix")
In guix/ui.scm:
  1833:12  0 (run-guix-command _ . _)

guix/ui.scm:1833:12: In procedure run-guix-command:
Throw to key `guile-ssh-error' with args `("write_to_channel_port" "Remote
channel is closed" #<input-output: channel (open) 7f2c1c9831e0> #f)'.

Any hints about what could be wrong?

Best regards,
Mikael Djurfeldt